BeanContextMembershipListener (Java SE 26 & JDK 26)
Description: declaration: module: java.desktop, package: java.beans.beancontext, interface: BeanContextMembershipListener
Keywords: java.beans.beancontext.BeanContextMembershipListener interface

# Interface BeanContextMembershipListener

All Superinterfaces:
  `EventListener`

@Deprecated(since="23", forRemoval=true) public interface BeanContextMembershipListener extends EventListener
Deprecated, for removal: This API element is subject to removal in a future version.

Compliant BeanContexts fire events on this interface when the state of the membership of the BeanContext changes.

Since:
  1.2
See Also:
  - `BeanContext`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `childrenAdded(BeanContextMembershipEvent bcme)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Called when a child or list of children is added to a `BeanContext` that this listener is registered with.
  `void`
  `childrenRemoved(BeanContextMembershipEvent bcme)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Called when a child or list of children is removed from a `BeanContext` that this listener is registered with.

- ## Method Details

  - ### childrenAdded

    void childrenAdded(BeanContextMembershipEvent bcme)
    Deprecated, for removal: This API element is subject to removal in a future version.
    Called when a child or list of children is added to a `BeanContext` that this listener is registered with.
    Parameters:
      `bcme` - The `BeanContextMembershipEvent` describing the change that occurred.

  - ### childrenRemoved

    void childrenRemoved(BeanContextMembershipEvent bcme)
    Deprecated, for removal: This API element is subject to removal in a future version.
    Called when a child or list of children is removed from a `BeanContext` that this listener is registered with.
    Parameters:
      `bcme` - The `BeanContextMembershipEvent` describing the change that occurred.